// ReSharper disable all
using System;
using NUnit.Framework;
using static Matriisit;

	[TestFixture]
	[DefaultFloatingPointTolerance(0.000001)]
	public  class TestMatriisit
	{
		[Test]
		public  void TestMonellakoRivilla39()
		{
			int[,] t = { {2,1,2},
			{3,4,2},
			{1,0,1},
			{1,8,9} };
			Assert.AreEqual( 2, MonellakoRivilla(t,2) , "in method MonellakoRivilla, line 44");
			Assert.AreEqual( 0, MonellakoRivilla(t,5) , "in method MonellakoRivilla, line 45");
			Assert.AreEqual( 1, MonellakoRivilla(t,0) , "in method MonellakoRivilla, line 46");
			Assert.AreEqual( 3, MonellakoRivilla(t,1) , "in method MonellakoRivilla, line 47");
			Assert.AreEqual( 0, MonellakoRivilla(new int[0,0],1) , "in method MonellakoRivilla, line 48");
		}
	}

